
Figure - Bug #116416
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试12小时，出现CRASH: com.android.deskclock（1）
2023-02-21 15:05 - CD Test赵飞

Status: CLOSED Start date: 2023-02-21

Priority: Normal Due date:

Assignee: CD Test赵飞 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302180012

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-02-25

Test Type: Monkey Test Root cause: 需求变更

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 86400 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.deskclock (pid 18882)

// Short Msg: java.lang.IllegalStateException

// Long Msg: java.lang.IllegalStateException: FragmentManager is already executing transactions

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2134:user/test-keys

// Build Changelist: 2134

// Build Time: 1676653001000

// java.lang.IllegalStateException: FragmentManager is already executing transactions

//     at androidx.fragment.app.FragmentManager.ensureExecReady(FragmentManager.java:1951)

//     at androidx.fragment.app.FragmentManager.execPendingActions(FragmentManager.java:2016)

//     at androidx.fragment.app.FragmentManager.executePendingTransactions(FragmentManager.java:603)

//     at com.android.deskclock.timer.TimerPagerAdapter.finishUpdate(TimerPagerAdapter.kt:125)

//     at androidx.viewpager.widget.ViewPager.populate(ViewPager.java:1237)

//     at androidx.viewpager.widget.ViewPager.setCurrentItemInternal(ViewPager.java:672)

//     at androidx.viewpager.widget.ViewPager.setCurrentItemInternal(ViewPager.java:634)

//     at androidx.viewpager.widget.ViewPager.setCurrentItem(ViewPager.java:615)

//     at com.android.deskclock.timer.TimerFragment.onStart(TimerFragment.kt:162)

//     at androidx.fragment.app.Fragment.performStart(Fragment.java:3011)

//     at androidx.fragment.app.FragmentStateManager.start(FragmentStateManager.java:565)

//     at androidx.fragment.app.FragmentStateManager.moveToExpectedState(FragmentStateManager.java:276)

//     at androidx.fragment.app.FragmentStore.moveToExpectedState(FragmentStore.java:112)

//     at androidx.fragment.app.FragmentManager.moveToState(FragmentManager.java:1667)

//     at androidx.fragment.app.FragmentManager.dispatchStateChange(FragmentManager.java:3234)

//     at androidx.fragment.app.FragmentManager.dispatchStart(FragmentManager.java:3185)

//     at androidx.fragment.app.FragmentController.dispatchStart(FragmentController.java:262)

//     at androidx.fragment.app.FragmentActivity.onStart(FragmentActivity.java:482)

//     at androidx.appcompat.app.AppCompatActivity.onStart(AppCompatActivity.java:246)

//     at com.android.deskclock.BaseActivity.onStart(BaseActivity.kt:57)

2025-07-04 1/3



//     at com.android.deskclock.DeskClock.onStart(DeskClock.kt:298)

//     at android.app.Instrumentation.callActivityOnStart(Instrumentation.java:1456)

//     at android.app.Activity.performStart(Activity.java:8101)

//     at android.app.ActivityThread.handleStartActivity(ActivityThread.java:3661)

//     at android.app.servertransaction.TransactionExecutor.performLifecycleSequence(TransactionExecutor.java:221)

//     at android.app.servertransaction.TransactionExecutor.cycleToPath(TransactionExecutor.java:201)

//     at android.app.servertransaction.TransactionExecutor.cycleToPath(TransactionExecutor.java:183)

//     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:132)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// 

【日志】

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_116416/Tlog.zip

History

#1 - 2023-02-21 15:06 - CD Test赵飞

- Description updated

#2 - 2023-02-24 15:55 - CD APP-王宏

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CD Test赵飞

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-02-25

- Root cause set to 需求变更

■ Current conclusion

问题已经解决

■ My analysis

根据最新的需求,时钟app被删除

■ Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/app_rm/+/184138

#3 - 2023-02-27 13:38 - CD Test赵飞

- Status changed from RESOLVED to VERIFIED

- Resolution changed from FIXED to WONTFIX
需求变更，时钟app被删除，此问题不需要处理。

关闭此问题

#4 - 2023-02-27 13:38 - CD Test赵飞

- Status changed from VERIFIED to CLOSED
